Bug 217818 - kudzu segfaults
kudzu segfaults
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks: 217823
  Show dependency treegraph
 
Reported: 2006-11-29 22:54 EST by petrosyan
Modified: 2014-03-16 23:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: kudzu-1.2.57.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-30 09:57:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description petrosyan 2006-11-29 22:54:27 EST
Description of problem:
kudzu segfaults

Version-Release number of selected component (if applicable):
kudzu-1.2.57.5-1

How reproducible:
Always

Steps to Reproduce:
run kudzu

Additional info:
# gdb -q /sbin/kudzu
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) run
Starting program: /sbin/kudzu 

Program received signal SIGSEGV, Segmentation fault.
0x0805205e in pciProbe (probeClass=CLASS_UNSPEC, probeFlags=1, 
    devlist=0x8064d78) at pci.c:474
474                     if (!strcmp(dev->driver, "qla4xxx") && devtype ==
PCI_CLASS_NETWORK_OTHER) {
(gdb) bt
#0  0x0805205e in pciProbe (probeClass=CLASS_UNSPEC, probeFlags=1, 
    devlist=0x8064d78) at pci.c:474
#1  0x0804ffbf in probeDevices (probeClass=CLASS_UNSPEC, probeBus=-9, 
    probeFlags=1) at kudzu.c:857
#2  0x0804cb4f in main (argc=Cannot access memory at address 0x8
) at hwconf.c:915
#3  0x0077bf2c in __libc_start_main () from /lib/libc.so.6
#4  0x08049f71 in _start ()
Comment 1 Bill Nottingham 2006-11-30 00:36:44 EST
Duh. Will be fixed in 1.2.57.6.
Comment 2 Bill Nottingham 2006-11-30 01:01:47 EST
... which should be in updates-testing now. Thanks for the report.
Comment 3 petrosyan 2006-11-30 09:57:02 EST
confirming the fix

Note You need to log in before you can comment on or make changes to this bug.